* {
    outline: none;
}

button {
    cursor: pointer;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}

div, ul, p, span, button {
    font-family: 'Archivo', sans-serif;
}

body, html {
    width: 100%;
    height: 100vh;
    min-height: calc(100vh - 70px);
    margin: 0;
    padding: 0;
    -webkit-overflow-scrolling: touch;
    font-family: 'Archivo', sans-serif;
    overflow: hidden;
    overflow-y: auto;
    scroll-behavior: smooth;
    background-color: #fdfdfd;
    /*background-image: url('/web/20250621054325im_/https://techgamex.net/main/img/main-bg.webp');*/
    background-size: auto;
    background-repeat: no-repeat;
    background-attachment: local;
    background-position-y: top;
}

.mobile-only {
    display: none !important;
}

.white-color {
    color: #fff;
}

.white-gray-color {
    color: rgba(255, 255, 255, 0.5);
}

.gray-color {
    color: #C7CAD1;
}

.gray-white-color {
    color: #CCCCCC;
}

.black-color {
    color: #000;
}

.yellow-color {
    color: #E1F500;
}

.blue-color {
    color: #4040FF;
}

.dark-gray-color {
    color: #333333;
}

.gray-color {
    color: #808080;
}

.text-underline {
    border-bottom: 4px solid #000;
}

.pink-text {
    color: #FF0095;
}

.yellow-text {
    font-style: italic;
    font-weight: 900;
    background: #E1F500;
    border-radius: 50px;
    padding: 0 15px;
}

.header-side-bar {
    position: fixed;
    top: 0;
    left: 0;
    width: calc(100% - 30px);
    min-height: 100%;
    display: flex;
    flex-direction: column;
    padding: 15px;
    background: #fff;
    gap: 40px;
    transition: 0.3s;
    transform: translateX(100%);
    z-index: 9;
}

.header-side-bar.show {
    transform: none;
}

.header-side-bar-header {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header-side-bar-container {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.header-side-bar-button {
    padding: 10px 16px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-weight: 500;
    font-size: 16px;
    border: none;
    background: #F5F5F5;
}

.header-side-bar-footer {
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #F5F5F5;
}

.header-side-bar-footer .border-black-button {
    width: 100%;
}

.main {
    position: relative;
    width: 100%;
    min-height: 100%;
    display: flex;
    flex-direction: column;
    background: #fff;
}

.main-header {
    position: relative;
    width: calc(100% - 100px);
    height: 95px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 50px;
    background: #fff;
}

.logo {
    cursor: pointer;
}

.main-header-container {
    min-width: 410px;
    display: flex;
    align-items: center;
    gap: 15px;
}

.main-container {
    padding: 0 50px;
    display: flex;
    margin: auto;
    gap: 20px;
    align-items: center;
}

.main-container-list {
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.main-container-list.child-2 {
    flex-direction: row;
}

.main-container-list-text {
    max-width: 530px;
}

.main-container-list-item {
    width: 257px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    gap: 30px;
}

.main-container-list-item-img {
    max-width: 100%;
}

.main-footer-inside {
    padding: 20px 50px;
    min-height: 100px;
    background: rgba(0, 0, 0, 0.04);
    margin: 0 50px;
    border-radius: 40px;
}

.search-holder {
    display: flex;
    align-items: center;
    padding: 10px 5px 10px 15px;
    gap: 10px;
    border-radius: 40px;
    background: #fff;
}

.filed-input-search {
    width: 100%;
    height: 100%;
    min-height: 40px;
    font-weight: 400;
    font-size: 18px;
    color: #000;
    background: transparent;
    border: none;
}

.filed-input-search::placeholder {
    font-weight: 400;
    font-size: 16px;
    font-family: 'Archivo', sans-serif;
    color: #919191;
}

.search-holder-result {
    display: flex;
    align-items: center;
    gap: 10px;
    justify-content: space-between;
    padding: 20px 0;
}

.search-holder-result-container {
    display: flex;
    align-items: center;
    gap: 10px;
}

.information-section {
    padding: 100px 50px;
    min-height: 100px;
    background-color: #F5F5F5;
    margin: 50px 0 0 0;
    display: flex;
}

.information-section.child-2 {
    flex-direction: column;
}

.information-section-header {
    text-align: center;
    margin-bottom: 80px;
}

.information-section-footer {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 80px;
}

.information-section-container {
    position: relative;
    width: calc(100vw - 210px);
    display: flex;
    gap: 20px;
    left: 50%;
    transform: translateX(-50%);
    overflow-x: auto;
    padding: 10px 100px;
}

.information-section-list {
    width: 55%;
    display: flex;
    flex-direction: column;
}

.information-section-list.child-1 {
    width: 45%;
    align-items: flex-start;
    justify-content: center;
    gap: 40px;
}

.information-section-list-item {
    width: 100%;
    max-width: 620px;
    display: flex;
    align-items: center;
    gap: 35px;
}

.information-section-list-item.child-2 {
    margin-left: 250px;
}

.information-section-list-item-img {
    max-width: 250px;
}

.information-section-list-item-text {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.internet-section {
    position: relative;
    padding: 0 50px;
    min-height: 100px;
    margin: 0 50px 0 50px;
    display: flex;
    background-color: #fff;
    gap: 20px;
}

.internet-section-bg {
    position: absolute;
    left: -50px;
    bottom: -50px;
    max-width: 650px;
    max-height: 100%;
}

.internet-section-list {
    width: 33%;
    min-height: 750px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 50px 0;
    gap: 40px;
    z-index: 1;
}

.internet-image {
    max-width: 100%;
}

.internet-image.child-1 {
    max-width: calc(100% + 60px);
    margin-left: -30px;
}

.internet-section-list-item {
    max-width: 460px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    background-image: url('/web/20250621054325im_/https://techgamex.net/main/img/internet-image.png');
    background-color: #FF0095;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 40px;
    padding: 100px 40px;
    gap: 50px;
}

.internet-section-list-item-text-holder {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.internet-section-list-item.child-1 {
    margin-top: 40px;
}

.internet-section-list-item.child-2 {
    background-color: #000;
    background-image: url('/web/20250621054325im_/https://techgamex.net/main/img/internet-image-2.png');
    background-size: 450px;
    background-position: bottom right;
    padding: 80px 24px 350px 40px;
}

.internet-section-list-item-img {
    max-width: 100%;
    margin: 30px 0 80px 0;
}

.internet-section-list-header {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 40px;
}

.internet-section-list-footer {
    display: flex;
    align-items: center;
    gap: 20px;
}

.user-section-item {
    width: 100%;
    padding: 30px;
    max-width: 470px;
    min-width: 450px;
    min-height: 250px;
    border-radius: 40px;
    background: rgb(233, 233, 233);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.user-section-item-header {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 20px;
}

.user-section-item-footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.news-section {
    display: flex;
    align-items: center;
    flex-direction: column;
    max-width: 1500px;
    margin: 0 auto;
    gap: 50px;
    padding: 100px 50px 60px 50px;
}

.news-section-header {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    font-weight: 400;
}

.news-section-container {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: center;
}

.news-item {
    position: relative;
    width: 100%;
    max-width: 278px;
    min-height: 278px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 20px;
    cursor: pointer;
    border-radius: 20px;
    padding: 8px 8px 30px 8px;
}

.news-item:hover {
    box-shadow: rgba(0, 0, 0, 0.1) 0 4px 12px;
}

.news-item:hover .news-img {
    transform: scale(1.2);
}

.news-item:hover .news-item-title {
    color: #FF0095;
}

.news-item-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 20px;
    z-index: 1;
}

.news-img-holder {
    width: 278px;
    height: 278px;
    border-radius: 20px;
    overflow: hidden;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
}

.news-item .primary-button-small {
    position: absolute;
    left: 17px;
    top: 17px;
    z-index: 3;
}

.news-img {
    object-fit: cover;
    transition: 0.3s;
    height: 100%;
}

.news-item-title {
    font-weight: 500;
    font-size: 16px;
    padding: 0 15px;
    transition: 0.3s;
}

.news-item-type {
    font-weight: 400;
    font-size: 16px;
    line-height: 150%;
    text-decoration: underline;
    text-decoration-skip-ink: none;
    padding: 0 15px;
}

.news-item-type:hover {
    color: #9747FF;
}

.footer-main {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 50px;
    border-top: 1px solid #cacaca;
}

.main-footer-mobile {
    display: flex;
    flex-direction: column;
    padding: 15px 5px;
    border-top: 1px solid #cccc;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.logo-mobile {
    max-width: 85px;
}

.main-footer-mobile-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
}

@media (max-width: 1520px) {
    .information-section-list-item.child-2 {
        margin-left: 170px;
    }

    .information-section-list-item-img {
        max-width: 200px;
    }

    .internet-section-bg {
        max-width: 550px;
    }
}

@media (max-width: 768px) {
    .desktop-only {
        display: none !important;
    }

    .mobile-only {
        display: flex !important;
    }

    .main {
        gap: 10px;
    }

    .main-header {
        width: calc(100% - 20px);
        padding: 0 10px;
        height: 80px;
    }

    .logo {
        max-width: 100px;
    }

    .main-container {
        width: calc(100% - 30px);
        padding: 0 15px;
        flex-direction: column;
    }

    .main-container-list {
        width: 100%;
        text-align: center;
    }

    .text-underline {
        border-bottom: 2px solid #000;
    }

    .main-container-list.child-2 {
        flex-direction: column;
        gap: 15px;
        margin-top: 15px;
    }

    .main-container-list-item {
        width: 210px;
        height: 112px;
        flex-direction: row;
        text-align: left;
        gap: 15px;
        justify-content: flex-start;
        padding: 0 25px;
    }

    .main-footer-inside {
        padding: 0 10px;
        margin: 0;
        flex-direction: column;
    }

    .search-holder-result {
        flex-direction: column;
        gap: 40px;
    }

    .search-holder-result-container.child-1 {
        width: 100%;
        white-space: nowrap;
        overflow-x: auto;
        padding: 10px 0;
    }

    .search-holder-result-container.child-2 {
        width: 100%;
        flex-direction: column;
        gap: 15px;
    }

    .search-holder-result-container.child-2 .primary-button {
        width: 100%;
    }

    .information-section {
        padding: 20px 15px;
        gap: 50px;
    }

    .information-section-container {
        flex-direction: column;
    }

    .information-section-item {
        padding: 20px;
        max-width: calc(100% - 80px);
        min-height: 170px;
        gap: 20px;
        text-align: left;
    }

    .information-section-item-header {
        flex-direction: row;
        gap: 20px;
    }

    .information-section-item.child-1 {
        align-self: flex-end;

    }

    .information-section-item.child-2 {
        margin: 0 auto;
    }

    .information-section-item.child-3 {
        margin: 0;
        align-self: flex-start;
    }

    .information-section-footer {
        padding: 0 0 30px 0;
    }

    .information-section-footer .primary-button {
        width: 100%;
    }

    .internet-section {
        padding: 0 15px;
        margin: 0;
        flex-direction: column;
    }

    .internet-section-list {
        width: 100%;
        min-height: auto;
        padding: 0;
        gap: 20px;
        text-align: center;
    }

    .internet-section-list.child-1 {
        margin: 50px 0;
        gap: 40px;
    }

    .internet-section-list-header {
        align-items: center;
        gap: 20px;
    }

    .internet-section-list-footer {
        width: calc(100% - 40px);
        flex-direction: column-reverse;
        padding: 20px;
        background-color: #f3f3f3;
    }

    .internet-section-list-footer .primary-button {
        width: 100%;
    }

    .internet-section-list-footer .gray-color {
        color: #000;
    }

    .internet-section-list.child-2 {
        position: relative;
        width: 100vw;
        padding: 0 0 50px 0;
        left: 50%;
        transform: translateX(-50%);
        text-align: center;
        align-items: center;
    }

    .internet-section-list.child-2 .border-black-button {
        width: calc(100% - 30px);
    }

    .internet-section-list.child-3 {
        position: relative;
        width: calc(100vw - 30px);
        padding: 50px 15px 50px 15px;
        left: 50%;
        transform: translateX(-50%);
        border: none;
        text-align: center;
        align-items: center;
    }

    .internet-section-list.child-3 .border-white-button {
        width: calc(100% - 30px);
    }

    .user-section-item {
        max-width: calc(100% - 80px);
        margin: 0;
        gap: 30px;
        padding: 20px;
        min-height: 200px;
    }

    .user-section-item.child-1 {
        margin: 0;
        align-self: flex-start;
    }

    .user-section-item.child-2 {
        margin: 0 auto;
    }

    .user-section-item.child-3 {
        margin: 0;
        align-self: flex-end;
    }

    .user-section-item-footer img {
        max-height: 20px;
    }

    .news-section {
        padding: 50px 15px 50px 15px;
    }

    .news-item {
        width: 163px;
        min-height: 163px;
        margin: 3px 0;
    }

    .news-img-holder {
        width: 163px;
        height: 163px;
    }

    .news-item-title {
        font-size: 16px;
        padding: 0 5px;
    }

    .news-item:before {
        transform: scale(1.1);
    }

}

/*
     FILE ARCHIVED ON 05:43:25 Jun 21, 2025 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 11:07:06 Feb 28, 2026.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  captures_list: 0.671
  exclusion.robots: 0.019
  exclusion.robots.policy: 0.008
  esindex: 0.011
  cdx.remote: 21.355
  LoadShardBlock: 127.48 (3)
  PetaboxLoader3.datanode: 173.108 (5)
  PetaboxLoader3.resolve: 70.111 (2)
  load_resource: 169.187
  loaddict: 71.774
*/